<?xml version="1.0" encoding="UTF-8"?>
<!--
- Copyright 2015 Red Hat Inc. and/or its affiliates and other contributors.
-
- Licensed under the Apache License, Version 2.0 (the "License")
- you may not use this file except in compliance with the License.
- You may obtain a copy of the License at
- http://www.apache.org/licenses/LICENSE-2.0
- Unless required by applicable law or agreed to in writing, software
- distributed under the License is distributed on an "AS IS" BASIS,
- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- See the License for the specific language governing permissions and
- limitations under the License.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <groupId>org.switchyard</groupId>
        <artifactId>switchyard-parent</artifactId>
        <version>2.0.1.redhat-621117</version>
        <relativePath>..</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>switchyard-core-parent</artifactId>
    <version>2.0.1.redhat-621117</version>
    <packaging>pom</packaging>
    <name>SwitchYard: Core</name>
    <description>SwitchYard Core</description>
    <scm>
        <connection>scm:git:https://github.com/jboss-switchyard/core.git</connection>
        <developerConnection>scm:git:ssh://git@github.com:jboss-switchyard/core.git</developerConnection>
        <url>http://github.com/jboss-switchyard/core</url>
    </scm>
    <modules>
        <module>build</module>
        <module>api</module>
        <module>extensions/java</module>
        <module>extensions/wsdl</module>
        <module>common/core</module>
        <module>common/cdi</module>
        <module>common/camel</module>
        <module>config</module>
        <module>serial/base</module>
        <module>serial/jackson</module>
        <!-- <module>serial/protostuff</module> -->
        <module>security/base</module>
        <module>security/jboss</module>
        <module>security/karaf</module>
        <module>transform</module>
        <module>validate</module>
        <module>runtime</module>
        <module>remote</module>
        <module>admin</module>
        <module>bus/camel</module>
        <module>test</module>
        <module>tools/maven/plugins/switchyard</module>
        <module>deploy/base</module>
        <module>deploy/cdi</module>
        <module>deploy/webapp</module>
        <module>tools/maven/archetypes/application</module>
    </modules>
    <repositories>
        <repository>
            <id>jboss-public-repository-group</id>
            <name>JBoss Public Maven Repository Group</name>
            <url>https://repository.jboss.org/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </snapshots>
        </repository>
    </repositories>
    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>xmlunit</groupId>
            <artifactId>xmlunit</artifactId>
            <scope>test</scope>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.jboss.logging</groupId>
            <artifactId>jboss-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.logging</groupId>
            <artifactId>jboss-logging-processor</artifactId>
            <!-- This is a compile-time dependency of this project, but is not needed at compile or runtime by other
                  projects that depend on this project.-->
            <scope>provided</scope>
            <optional>true</optional>
        </dependency>
    </dependencies>
</project>
